function A=krprod(B,C);
% Khatri Rao product
%
% Written by Morten Mrup
%
% Input:
%   B m x n matrix
%   C p x n matrix
%
% Output:
%   A m*p x n matrix
%
% Copyright (C) Morten Mrup and Technical University of Denmark, 
% September 2006
%                                          
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

sb=size(B,1);
sc=size(C,1);
A=zeros(sb*sc,size(B,2));
for k=1:size(B,2)
    A(:,k)=reshape(C(:,k)*B(:,k)',sb*sc,1);
end

    
    